
Conversion Tools - Feature #1907

Feature # 1901 (New): modify the conversion process to properly run on Windows

implement configurable control over the line termination characters used for both intermediate files

and final output of the conversion process

11/02/2012 10:50 AM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 16.00 hours

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 11/02/2012 10:54 AM - Greg Shah

See #1565 for some details.  Today in Windows, the .java and .cache output files get only a 0x0A (UNIX/Linux line end) instead of 0x0D0A (Windows

line end).  Some of the intermediate outputs do get the proper 0x0D0A when created on Windows, but all outputs need to be checked.

The p2j.cfg.xml should provide control over the exact line end used, independent of the system on which the conversion process is running.  Today,

for example, the intermediate outputs get the conversion platform's line end characters.  But what if we run conversion on Linux and want Windows

line ends because we will be maintaining the code on Windows?  The intermediate and final outputs all should have configurable line ends.

By default, output everything with the conversion system's line ends.  But then accept overrides and honor them everywhere.

#2 - 11/02/2012 10:55 AM - Greg Shah

- Parent task set to #1901

#3 - 11/16/2016 01:16 PM - Greg Shah

- Target version deleted (24)
